IncrementalListResponse (cayenne-doc: Cayenne Documentation 5.0-M2 API)
Description: declaration: package: org.apache.cayenne.util, class: IncrementalListResponse

# Class IncrementalListResponse

java.lang.Object
org.apache.cayenne.util.ListResponse
org.apache.cayenne.util.IncrementalListResponse

All Implemented Interfaces:
  `Serializable, QueryResponse`

public class IncrementalListResponse extends ListResponse
A QueryResponse that contains a sublist of the query result. Also contains extra information about the full list.

Since:
  1.2
See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected int`
  `fullSize`

  ### Fields inherited from class ListResponse

  `currentIndex, objectList`
  Modifier and Type
  Field
  Description
  `protected int`
  `currentIndex`
  `protected List<?>`
  `objectList`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IncrementalListResponse(List objectList, int fullSize)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getFullSize()`

  ### Methods inherited from class ListResponse

  `currentList, currentUpdateCount, firstList, isList, next, reset, size`
  Modifier and Type
  Method
  Description
  `List<?>`
  `currentList()`
  Returns a List under the current iterator position.
  `int[]`
  `currentUpdateCount()`
  Returns an update count under the current iterator position.
  `List<?>`
  `firstList()`
  A utility method for quickly retrieving the first list in the response.
  `boolean`
  `isList()`
  Returns whether current iteration result is a list or an update count.
  `boolean`
  `next()`
  Rewinds response iterator to the next result, returning true if it is available.
  `void`
  `reset()`
  Restarts response iterator.
  `int`
  `size()`
  Returns a number of results in the response.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface QueryResponse

  `currentIterator, firstIterator, firstUpdateCount, isIterator`
  Modifier and Type
  Method
  Description
  `default ResultIterator<?>`
  `currentIterator()`
  Returns a current iterator.
  `default ResultIterator<?>`
  `firstIterator()`
  A utility method for quickly retrieving the Iterator in the response.
  `default int[]`
  `firstUpdateCount()`
  A utility method for quickly retrieving the first update count from the response.
  `default boolean`
  `isIterator()`
  Returns whether current response is an iterator

- ## Field Details

  - ### fullSize

    protected int fullSize

- ## Constructor Details

  - ### IncrementalListResponse

    public IncrementalListResponse(List objectList, int fullSize)

- ## Method Details

  - ### getFullSize

    public int getFullSize()